Get email message details
Returns email delivery details for a message, optionally including signed URLs for its raw MIME, HTML, and text content.
Returns email delivery details for a message, optionally including signed URLs for its raw MIME, HTML, and text content.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^msg_[0-9a-hjkmnp-tv-z]{16,24}$Query Parameters
includeS3Urls?string|null
urlExpiresIn?string|null
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://example.com/v1/messages/string/email"{ "deliveries": [ { "scheduling": { "dueAt": "string", "expiresAt": "string", "waitReason": "rate" }, "id": "string", "messageId": "string", "recipientId": "string", "channel": "email", "status": "pending", "attemptCount": 0, "maxAttempts": 0, "queuedAt": "string", "claimedAt": "string", "lastAttemptAt": "string", "nextRetryAt": "string", "sentAt": "string", "deliveredAt": "string", "readAt": "string", "failedAt": "string", "terminalAt": "string", "errorCode": "string", "errorMessage": "string", "errorDetails": null, "cost": "string", "currency": "string", "idempotencyKey": "string", "metadata": null, "createdAt": "string", "updatedAt": "string" } ], "id": "string", "organizationId": "string", "conversationId": "string", "status": "pending", "channel": "email", "direction": "outbound", "subject": "string", "fromEmail": "string", "fromName": "string", "toEmails": [ { "email": "string", "name": "string" } ], "ccEmails": [ { "email": "string", "name": "string" } ], "bccEmails": [ { "email": "string", "name": "string" } ], "replyToEmails": [ "string" ], "messageIdHeader": "string", "inReplyTo": "string", "references": [ "string" ], "threadPosition": 0, "newContent": "string", "quotedContent": "string", "hasQuotedContent": true, "dkimVerdict": "pass", "spfVerdict": "pass", "dmarcVerdict": "pass", "isAutoReply": true, "autoReplyReason": "out-of-office", "listUnsubscribeUrl": "string", "listUnsubscribeEmail": "string", "priority": "high", "parsingErrors": [ "string" ], "parsingDuration": 0, "hasAttachments": true, "attachmentCount": 0, "attachments": [ { "id": "string", "filename": "string", "contentType": "string", "size": 0, "isInline": true, "contentId": "string" } ], "s3ContentUrls": { "rawMime": "string", "html": "string", "text": "string", "expiresAt": "string" }, "createdAt": "string", "receivedAt": "string", "processedAt": "string"}